#!/bin/sh
# BEGIN COPYRIGHT
# *************************************************************************
# Licensed Materials - Property of IBM 
# 5724-L01, 5655-N53, 5724-I82, 5655-R15
# (C) Copyright IBM Corporation 2012. All rights reserved. 
# US Government Users Restricted Rights - Use, duplication, or disclosure
# restricted by GSA ADP Schedule Contract with IBM Corp.
# *************************************************************************
# END COPYRIGHT

usage() {
    echo "Usage:"
    echo "  "
    echo "configureProxyServer.sh [options...]"
    echo " "
    echo "Options:"
    echo "    -?, -help                                  This help message"
    echo "    -d, --deployment-environment=DE_NAME       Specify the deployment"
    echo "                                               environment name."
    echo "    -n, --node=node_name                       Node on which to deploy proxy"
    echo "        --no-sync                              Do not force the immediate"
    echo "                                               sync of changes across nodes."
    echo "        --no-save                              Do not save configuration changes."
    echo " "

    exit $1
}

# Bootstrap values ...
curDir=`pwd`
binDir=`dirname "$0"`
cd "$binDir/../../../.."
REPLACE_WAS_HOME=`pwd`
export REPLACE_WAS_HOME
cd "$curDir"
. "${REPLACE_WAS_HOME}/bin/setupCmdLine.sh"

if [[ "$1" == "-?" ]]
then
	usage 0
fi

if [[ "$1" == "-help" ]]
then
	usage 0
fi


$USER_INSTALL_ROOT/bin/wsadmin.sh -lang jython -wsadmin_classpath $WAS_HOME"/BPM/Lombardi/lib/utility.jar" -f $WAS_HOME"/BPM/Lombardi/tools/proxy/configureProxyServer.py" "$@"


